## Version Information Version Information |

## Functions

guint | soup_get_major_version ()
guint | soup_get_minor_version ()
guint | soup_get_micro_version ()
gboolean | soup_check_version ()
#define | SOUP_CHECK_VERSION()

## Types and Values

#define | SOUP_MAJOR_VERSION
#define | SOUP_MINOR_VERSION
#define | SOUP_MICRO_VERSION
#define | SOUP_VERSION_MIN_REQUIRED
#define | SOUP_VERSION_MAX_ALLOWED
#define | SOUP_VERSION_2_24
#define | SOUP_VERSION_2_26
#define | SOUP_VERSION_2_28
#define | SOUP_VERSION_2_30
#define | SOUP_VERSION_2_32
#define | SOUP_VERSION_2_34
#define | SOUP_VERSION_2_36
#define | SOUP_VERSION_2_38
#define | SOUP_VERSION_2_40
#define | SOUP_VERSION_2_42
#define | SOUP_VERSION_2_44
#define | SOUP_VERSION_2_46
#define | SOUP_VERSION_2_48
#define | SOUP_VERSION_2_50
#define | SOUP_VERSION_2_52

## Includes

    #include <libsoup/soup.h>

## Description

## Functions

### soup_get_major_version ()

    guint
    soup_get_major_version (void);

### soup_get_minor_version ()

    guint
    soup_get_minor_version (void);

### soup_get_micro_version ()

    guint
    soup_get_micro_version (void);

### soup_check_version ()

    gboolean
    soup_check_version (guint major,
                        guint minor,
                        guint micro);

### SOUP_CHECK_VERSION()

    #define             SOUP_CHECK_VERSION(major, minor, micro)

## Types and Values

### SOUP_MAJOR_VERSION

    #define SOUP_MAJOR_VERSION (2)

### SOUP_MINOR_VERSION

    #define SOUP_MINOR_VERSION (57)

### SOUP_MICRO_VERSION

    #define SOUP_MICRO_VERSION (1)

### SOUP_VERSION_MIN_REQUIRED

    # define SOUP_VERSION_MIN_REQUIRED (SOUP_VERSION_CUR_STABLE)

### SOUP_VERSION_MAX_ALLOWED

    # define SOUP_VERSION_MAX_ALLOWED (SOUP_VERSION_CUR_STABLE)

### SOUP_VERSION_2_24

    #define SOUP_VERSION_2_24 (G_ENCODE_VERSION (2, 24))

### SOUP_VERSION_2_26

    #define SOUP_VERSION_2_26 (G_ENCODE_VERSION (2, 26))

### SOUP_VERSION_2_28

    #define SOUP_VERSION_2_28 (G_ENCODE_VERSION (2, 28))

### SOUP_VERSION_2_30

    #define SOUP_VERSION_2_30 (G_ENCODE_VERSION (2, 30))

### SOUP_VERSION_2_32

    #define SOUP_VERSION_2_32 (G_ENCODE_VERSION (2, 32))

### SOUP_VERSION_2_34

    #define SOUP_VERSION_2_34 (G_ENCODE_VERSION (2, 34))

### SOUP_VERSION_2_36

    #define SOUP_VERSION_2_36 (G_ENCODE_VERSION (2, 36))

### SOUP_VERSION_2_38

    #define SOUP_VERSION_2_38 (G_ENCODE_VERSION (2, 38))

### SOUP_VERSION_2_40

    #define SOUP_VERSION_2_40 (G_ENCODE_VERSION (2, 40))

### SOUP_VERSION_2_42

    #define SOUP_VERSION_2_42 (G_ENCODE_VERSION (2, 42))

### SOUP_VERSION_2_44

    #define SOUP_VERSION_2_44 (G_ENCODE_VERSION (2, 44))

### SOUP_VERSION_2_46

    #define SOUP_VERSION_2_46 (G_ENCODE_VERSION (2, 46))

### SOUP_VERSION_2_48

    #define SOUP_VERSION_2_48 (G_ENCODE_VERSION (2, 48))

### SOUP_VERSION_2_50

    #define SOUP_VERSION_2_50 (G_ENCODE_VERSION (2, 50))

### SOUP_VERSION_2_52

    #define SOUP_VERSION_2_52 (G_ENCODE_VERSION (2, 52))